Bug 60081 - console login gone from w
console login gone from w
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: finger (Show other bugs)
7.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Phil Knirsch
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-19 15:24 EST by Need Real Name
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-12 06:56:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-19 15:24:09 EST
Description of Problem:

after some time logged in from tty1 (hours? days?) the session
no longer shows to w, who, or finger

The session is still active, per last or ps.

Version-Release number of selected component (if applicable):
na

How Reproducible:
intermittent

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Phil Knirsch 2002-02-24 13:00:58 EST
That might happen if your /var/run/utmp file gets purged or cleaned up by some
cronjob.

Try disabling all none required cronjobs and see if the problem persits.

Read ya, Phil
Comment 2 Need Real Name 2002-02-27 07:34:50 EST
Thanks for the response! I believe you are correct about the involvement of the utmp file, but I don't think it's a cron job causing the problem.  The only cron
processes running are those with the default 7.2 installation (except an hourly run of rdate to set the time).  I've monitored several login sessions for several days now, and they still report just fine with w, who, and finger.

Here's some additional information that may be helpful.  The first time I noticed the problem was after I had run nmap on the box to scan itself (I think--this may have also happened in conjunction with the following).  There have been a few instances when I've been logged in via telnet from my HP200LX palmtop computer over my home LAN.  When the 200LX has powered down during the connection, the console login sessions have disappeared.  Something about the way those dead sessions are handled maybe?

Again, thanks for any suggestions on follow-up I might take.
Comment 3 Phil Knirsch 2002-06-19 08:28:11 EDT
OK, back again.

This really sounds very much like a similar bug with finger that has been
reported impossible login times (#52682).

As reported in 52682 it might be related to KDE, but in your case this seems to
be a console/bash problem not cleaning up utmp.

I'll see what i can do. I guess just making finger and who a little smarter and
do the same thing that last does might be a good start.

Read ya, Phil
Comment 4 Phil Knirsch 2004-01-12 06:56:46 EST
Closing due to inactivity and because the "bug" hasn't surface anymore
lately for me.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.